# Please change the ip address with your server ip address and
# the ServerName with you own subdomains.

NameVirtualHost 172.25.210.91

#processmaker virtual host 
<VirtualHost 172.25.210.91 >
  ServerName 127.25.210.91:80
  DocumentRoot "C:\opt\apps\processmaker\htdocs\workflow\public_html"
  DirectoryIndex index.html index.php
  <Directory  "C:\opt\apps\processmaker\htdocs\workflow\public_html">
    AddDefaultCharset UTF-8

    AllowOverRide none
    Options FollowSymlinks
    Order allow,deny
    Allow from all

    RewriteEngine on
    RewriteRule ^.*/(.*)$ sysGeneric.php [NC,L]

    ExpiresActive On    
    ExpiresDefault "access plus 1 day" 
    ExpiresByType image/gif "access plus 1 day"
    ExpiresByType image/png "access plus 1 day"
    ExpiresByType image/jpg "access plus 1 day"
    ExpiresByType text/css "access plus 1 day"
    ExpiresByType text/javascript "access plus 1 day"

    AddOutputFilterByType DEFLATE text/html        
        
  </Directory>
</VirtualHost>

